Game Develop Core: gd::ActionSentenceFormatter Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
gd::ActionSentenceFormatter Class Reference

Generate user friendly sentences and information from an action. More...

`#include <ActionSentenceFormatter.h>`

## Public Member Functions

std::string | Translate (const gd::Instruction &action, const gd::InstructionMetadata &infos)
| Create a sentence from an action. More...
std::vector< std::pair < std::string, gd::TextFormatting > > | GetAsFormattedText (const gd::Instruction &action, const gd::InstructionMetadata &infos)
| Create a formatted sentence from an action. More...
TextFormatting | GetFormattingFromType (const std::string &type)
| Return the TextFormatting object associated to the type.
std::string | LabelFromType (const std::string &type)
| Return the label of a button from parameter type. More...
wxBitmap | BitmapFromType (const std::string &type)
| Return the bitmap of a button from parameter type. More...
void | LoadTypesFormattingFromConfig ()
void | SaveTypesFormattingToConfig ()

## Static Public Member Functions

static ActionSentenceFormatter * | GetInstance ()
static void | DestroySingleton ()

## Public Attributes

std::map< std::string, gd::TextFormatting > | typesFormatting

## Detailed Description

Generate user friendly sentences and information from an action.

## Member Function Documentation

wxBitmap gd::ActionSentenceFormatter::BitmapFromType | ( | const std::string & | type) |  |

Return the bitmap of a button from parameter type.

Renvoi le bitmap du bouton en fonction du type.

std::vector< std::pair< std::string, gd::TextFormatting > > gd::ActionSentenceFormatter::GetAsFormattedText | ( | const gd::Instruction & | action,
|  | const gd::InstructionMetadata & | infos
| ) |  |

Create a formatted sentence from an action.

Create a formatted sentence from an action

string gd::ActionSentenceFormatter::LabelFromType | ( | const std::string & | type) |  |

Return the label of a button from parameter type.

Renvoi le nom du bouton en fonction du type.

void gd::ActionSentenceFormatter::LoadTypesFormattingFromConfig | ( | ) |  |

Load the configuration from wxConfigBase

void gd::ActionSentenceFormatter::SaveTypesFormattingToConfig | ( | ) |  |

Save the configuration to wxConfigBase

string gd::ActionSentenceFormatter::Translate | ( | const gd::Instruction & | action,
|  | const gd::InstructionMetadata & | infos
| ) |  |

Create a sentence from an action.

Generate the sentence describing an action.

The documentation for this class was generated from the following files:

- ActionSentenceFormatter.h
- ActionSentenceFormatter.cpp